# Gestione di I/O a controllo di programma

.text
.globl main
main: 	
	li$t0, 0xffff0000	# indirizzo del receiver control register
	li $t2, 0xffff0004	 # indirizzo del receiver data register

ciclo:   lw $t1, 0($t0)
	rem $t1, $t1, 2		# If $t1 = = 2 esci
	beqz $t1, ciclo
	lw $a0, 0($t2)

	li $v0, 10
        	syscall
